Subject: [PATCH v2] PCI: mvebu - Support a bridge with no IO port window

From: [email-masked] (Jason Gunthorpe)
Date: Thu, 17 Oct 2013 08:41:12 -0600

On Thu, Oct 17, 2013 at 09:10:31AM -0400, Jason Cooper wrote:
> On Tue, Oct 15, 2013 at 02:16:22PM -0600, Jason Gunthorpe wrote:
> > Make pcie-io-aperture and the IO port MBUS ID in ranges optional.
> > If not provided the bridge reports to Linux that IO space mapping is
> > not supported and refuses to configure an IO mbus window.
> > 
> > This allows both complete disable (do not specify pcie-io-aperture) and
> > per-port disable (do not specify a IO target ranges entry for the port)
> > 
> > Most PCIE devices these days do not require IO support to function,
> > so having an option to disable it in the driver is useful.
> > 
> > Signed-off-by: Jason Gunthorpe <[email-masked]>
> >  drivers/pci/host/pci-mvebu.c | 64 +++++++++++++++++++++++++++++---------------
> >  1 file changed, 43 insertions(+), 21 deletions(-)
> 
> Applied to mvebu/drivers

If possible, Thomas should test this, IMHO. My hardware here
completely lacks IO port windows so I cannot meaningfully test that
aspect of the change.

Thanks,
Jason